<?php

define("APPKEY", "71e47946-b4ee-44ac-bd3c-47c6e8a6a160");
define("APPNAME", "Amiserv5");

/** 
* Send a POST requst using cURL 
* @param string $url to request 
* @param array $post values to send 
* @param array $options for cURL 
* @return string 
*/ 
function curl_post($url, array $post = NULL, array $options = array()) 
{ 
    $defaults = array( 
        CURLOPT_POST => 1, 
        CURLOPT_HEADER => 0, 
        CURLOPT_URL => $url, 
        CURLOPT_FRESH_CONNECT => 1, 
        CURLOPT_RETURNTRANSFER => 1, 
        CURLOPT_FORBID_REUSE => 1, 
        CURLOPT_TIMEOUT => 4, 
        CURLOPT_POSTFIELDS => http_build_query($post) 
    ); 

    $ch = curl_init(); 
    curl_setopt_array($ch, ($options + $defaults)); 
    if( ! $result = curl_exec($ch)) 
    { 
        trigger_error(curl_error($ch)); 
    } 
    curl_close($ch); 
    return $result; 
} 

/** 
* Send a GET requst using cURL 
* @param string $url to request 
* @param array $get values to send 
* @param array $options for cURL 
* @return string 
*/ 
function curl_get($url, array $get = NULL, array $options = array()) 
{    
    $defaults = array( 
        CURLOPT_URL => $url. (strpos($url, '?') === FALSE ? '?' : ''). http_build_query($get), 
        CURLOPT_HEADER => 0, 
        CURLOPT_RETURNTRANSFER => TRUE, 
        CURLOPT_TIMEOUT => 4 
    ); 
    
    $ch = curl_init(); 
    curl_setopt_array($ch, ($options + $defaults)); 
    if( ! $result = curl_exec($ch)) 
    { 
        trigger_error(curl_error($ch)); 
    } 
    curl_close($ch); 
    return $result; 
} 


$ombukey = trim(file_get_contents("/etc/ombutel/ombutel-maint.conf"));
echo "Clef ombutel : $ombukey" . PHP_EOL;
if ($ombukey !== "")
{
    $data = array("key" => $ombukey);
    $retour = curl_post("http://localhost/api/authenticate", $data);
    if ($retour !== FALSE)
    {
        $obj = json_decode($retour);
        if ($obj->status === "success")
        {
            echo "Enregistrement clef application " . APPKEY . " avec token " . $obj->data->token . PHP_EOL;
            $data = array("token" => $obj->data->token, "key" => APPKEY, "name" => APPNAME);
            $retour = curl_post("http://localhost/api/register_application", $data);
            if ($obj !== FALSE)
            {
                $obj = json_decode($retour);
                echo "Enregistrement " . APPNAME . " réussi" . PHP_EOL;
            }
            else
            {
                echo "Echec enregistrement " . APPNAME . PHP_EOL;
            }
        }
        else
        {
            echo "Echec authentification clef" . PHP_EOL;
        }
    }
    else
    {
        echo "Echec generation token" . PHP_EOL;
    }
}

?>