#!/bin/bash
source /etc/os-release
OS=$ID
SCRIPTPATH="$( cd "$( dirname $(realpath $0) )" >/dev/null && pwd )"

cp "$SCRIPTPATH/amiserv5.service" /etc/systemd/system/
cp "$SCRIPTPATH/extensions__90-AmiServ5.conf" /etc/asterisk/ombutel/
cp "$SCRIPTPATH/manager__90-AmiServ5.conf" /etc/asterisk/ombutel/

asterisk -rx "core reload"
mysql -u root < "$SCRIPTPATH/db.sql"
systemctl enable amiserv5
systemctl daemon-reload
php "$SCRIPTPATH/InstallAPIKeyOmbutel.php"

if [ $OS = "centos" ]
then
    mysql -u root amiserv5 -e "UPDATE utilisateurs SET password=(CONCAT(MD5(RAND()), MD5(RAND()))) WHERE login='admin';"
fi


mkdir -p "/etc/amiserv5"
cp "$SCRIPTPATH/../../Config.txt.template" /etc/amiserv5/Config.txt