use supervision3;

ALTER TABLE amiserv5.callnotes CONVERT TO CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci';

GRANT ALL ON `statexplorer`.* TO 'amiserv5'@'localhost' IDENTIFIED BY 'amiserv5';
FLUSH PRIVILEGES;


SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "popupuri";
SET @columntype = "text";
SET @columndefault = "NOT NULL";
SET @aftercolumn = "disablechat";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;



SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "popupcontent";
SET @columntype = "text";
SET @columndefault = "NOT NULL";
SET @aftercolumn = "popupuri";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;
