CREATE TABLE IF NOT EXISTS `supervision3`.`profiles` (
  `id` varchar(45) NOT NULL,
  `name` varchar(255) NOT NULL,
  `extensions` text,
  `queues` text,
  `conferences` text,
  `confcanadd` tinyint(1) DEFAULT NULL,
  `confcankick` tinyint(1) DEFAULT NULL,
  `confcanmute` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `supervision3`.`userprofile` (
  `user` VARCHAR(255) NOT NULL,
  `profileid` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`user`))
ENGINE = InnoDB;

GRANT SELECT ON `ombutel`.* TO 'amiserv5'@'localhost' IDENTIFIED BY 'amiserv5';
FLUSH PRIVILEGES;



ALTER TABLE `supervision3`.`groupes` 
ADD COLUMN `public` TINYINT(1) NOT NULL DEFAULT 0 AFTER `name`;

ALTER TABLE `supervision3`.`profiles` 
ADD COLUMN `inheritgroupfromuser` VARCHAR(45) NOT NULL DEFAULT '' AFTER `confcanmute`;

ALTER TABLE `supervision3`.`profiles` 
CHANGE COLUMN `extensions` `extensions` TEXT NULL ,
CHANGE COLUMN `queues` `queues` TEXT NULL ,
CHANGE COLUMN `conferences` `conferences` TEXT NULL ,
CHANGE COLUMN `confcanadd` `confcanadd` TINYINT(1) NOT NULL DEFAULT 1 ,
CHANGE COLUMN `confcankick` `confcankick` TINYINT(1) NOT NULL DEFAULT 1 ,
CHANGE COLUMN `confcanmute` `confcanmute` TINYINT(1) NULL DEFAULT 1 ,
ADD COLUMN `supervisor` VARCHAR(45) NOT NULL DEFAULT '' AFTER `inheritgroupfromuser`;
