use supervision3;

SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "supervisors";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 1",
  "ALTER TABLE `supervision3`.`profiles` CHANGE COLUMN `supervisor` `supervisors` TEXT NULL DEFAULT NULL ;"
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;
