use supervision3;

CREATE TABLE IF NOT EXISTS `supervision3`.`tags` (
  `tag` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`tag`))
ENGINE = InnoDB;

INSERT INTO `supervision3`.`tags` (tag) VALUES ('Tag') ON DUPLICATE KEY UPDATE tag='Tag';


SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "disablechat";
SET @columntype = "tinyint(1)";
SET @columndefault = "NOT NULL DEFAULT '0'";
SET @aftercolumn = "autocreateprivatedirectory";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @dbname = "asterisk";
SET @tablename = "cdr";
SET @columnname = "tag";
SET @columntype = "varchar(255)";
SET @columndefault = "NOT NULL DEFAULT ''";
SET @aftercolumn = "userfield";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Nothing to do' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;