#!/bin/bash
PRODUCTNAME="amiserv5"
TMPDIR="/tmp/amiserv5"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Removing $PRODUCTNAME"

mysql -u root -e "DROP SCHEMA amiserv5"
mysql -u root -e "DROP SCHEMA supervision3"
mysql -u root -e "DROP SCHEMA chatplugin"

unlink "$IPCDIR/magik"
rm -rf "$INSTALLDIR/$PRODUCTNAME"
rm -rf "$IPCDIR/$PRODUCTNAME.ver"

rm -rf "/etc/systemd/system/$PRODUCTNAME.service"

rm -rf "/etc/amiserv5"

systemctl daemon-reload
rm -rf "$TMPDIR"
exit
