#!/bin/bash
PRODUCTNAME="amiserv5"
TMPDIR="/tmp/amiserv5"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=5

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

#Si le dossier de config est vide et si on a un Config.txt dans le dossier d'install, on déplace le fichier.
if [ ! -f /etc/amiserv5/Config.txt ]
then
	if [ -f "$INSTALLDIR/$PRODUCTNAME/Config.txt" ]
	then
		mkdir -p /etc/amiserv5
		mv -f "$INSTALLDIR/$PRODUCTNAME/Config.txt" /etc/amiserv5/Config.txt
	fi
fi

echo "-- Backuping some files"
if [ -e "$INSTALLDIR/$PRODUCTNAME/AmiServ5Service.exe.config" ]
then
	mv -f "$INSTALLDIR/$PRODUCTNAME/AmiServ5Service.exe.config" "$TMPDIR/AmiServ5Service.exe.config.old"
fi

systemctl stop amiserv5
exit